function [pvs,vs] = get_PVt(m0,v0,beta,gamma,alpha,Kappa,R,pow,t)

% grid on value
minv = R/2 - alpha*(Kappa*t).^pow; % lower bound on value at time t
maxv = R - alpha*(Kappa*t).^pow; % upper bound on value at time t
dv = (maxv-minv)*1e-3; % value step on the grid
vs = (minv+dv):dv:(maxv-dv); % value grid



vt = 1./((1./mean(v0)) + beta.*Kappa*t); % variance at time t
a = pi./sqrt(6*vt); % scaling coefficient
pts = (vs+alpha*(Kappa*t).^pow)./R; % confidences
admut = log(pts./(1-pts))./a; % absolute mode differences

dmu0 = diff(m0); % initial mode difference
pvs = zeros(size(vs));
for s=[-1,1]
    pvs = pvs + exp(-(admut-s*dmu0).^2./(4*gamma*Kappa*t))./(pts.*(1-pts));
end
vs = [minv,vs,maxv];
pvs = [0,pvs,0];
pvs = pvs./sum(pvs);
