function [pCs,Cs] = get_pConf(m0,v0,beta,gamma,Kappa,t)

% grid on value
minC = 1/2; % lower bound on confidence
maxC = 1; % upper bound on confidence
dc = (maxC-minC)*1e-2; % confidence step on the grid
Cs = (minC+dc):dc:(maxC-dc); % confidence grid

vt = 1./((1./mean(v0)) + beta.*Kappa*t); % variance at time t
a = pi./sqrt(6*vt); % scaling coefficient
admut = log(Cs./(1-Cs))./a; % absolute mode differences

dmu0 = diff(m0); % initial mode difference
pCs = zeros(size(Cs));
for s=[-1,1]
    pCs = pCs + exp(-(admut-s*dmu0).^2./(4*gamma*Kappa*t))./(Cs.*(1-Cs));
end
Cs = [1/2,Cs,1];
pCs = [0,pCs,0];
pCs = pCs./sum(pCs);
