function wMDP = get_wMDP(mt0,vt0,beta,gamma,alpha,Kappa,R,pow,t0,T)

nt = T-t0; % nb of time samples until time horizon
if nt<=0 % time horizon has been reached
    wMDP = R/2 - alpha*(Kappa*t0).^pow;% min[VC(T)]
else
    wMDP = NaN(1,nt); % thresholds
    [pCs,Cs] = get_pConf(mt0,vt0,beta,gamma,Kappa,nt+1);
    pvs = pCs;
    vs = R*Cs - alpha*(Kappa*(t0+nt+1)).^pow;
    wMDP(nt) = sum(pvs.*vs); % w(T-1) = E[V(T)]
    for t=1:nt-1 % backward induction: w(t) = E[max(vc(t+1),w(t+1))]
        [pCs,Cs] = get_pConf(mt0,vt0,beta,gamma,Kappa,nt-t+1);
        pvs = pCs;
        vs = R*Cs - alpha*(Kappa*(t0+nt-t+1)).^pow;
        ind = find(vs>=wMDP(nt-t+1),1);
        if isempty(ind) % max[vc(t+1)]<w(t+1)
            ind = length(vs);
        end
        rt = sum(pvs((ind):end));
        truncatedpvs = pvs((ind):end)./sum(pvs((ind):end));
        wMDP(nt-t) = (1-rt)*wMDP(nt-t+1) + rt*sum(truncatedpvs.*vs((ind):end));
    end
end